%define upstream_name    Gtk2-Notify
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15

Summary:    Perl interface to libnotify
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/Gtk2-Notify%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Gtk2/%{upstream_name}-%{upstream_version}.tar.bz2
# (Fedora) patch to make it build with libnotify-0.7
Patch0:		perl-Gtk2-Notify-0.05-libnotify-0.7.patch

BuildRequires:  libnotify-devel	
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl-ExtUtils-PkgConfig
BuildRequires:  perl-Gtk2
BuildRequires:  perl-Test-Exception
BuildRequires:	perl-devel
BuildRequires:	libpango-devel
BuildRequires:	libgtk+2-devel

%description
Perl interface to libnotify.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorarch}/*
%{_mandir}/man3/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-15.mga6
+ Revision: 1028075
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.50.0-14.mga6
+ Revision: 957418
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 tv <tv> 0.50.0-13.mga6
+ Revision: 843530
- rebuild with soname-ified perl

* Tue Jun 23 2015 tv <tv> 0.50.0-12.mga6
+ Revision: 841019
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-11.mga5
+ Revision: 743810
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-10.mga5
+ Revision: 684909
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.50.0-9.mga5
+ Revision: 632449
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-8.mga4
+ Revision: 524133
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.50.0-7.mga4
+ Revision: 430164
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-6.mga3
+ Revision: 367899
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.50.0-5.mga3
+ Revision: 250737
- rebuild for perl 5.16

* Sun Aug 28 2011 fwang <fwang> 0.50.0-4.mga2
+ Revision: 135826
- rebuild

* Sun Jun 12 2011 ahmad <ahmad> 0.50.0-3.mga2
+ Revision: 104436
- Add a patch from Fedora to make it build with libnotify-0.7
- Add BR libpango-devel, libgtk+2-devel

* Mon Jan 24 2011 jquelin <jquelin> 0.50.0-2.mga1
+ Revision: 36328
- mageia rebuild
- imported package perl-Gtk2-Notify


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.50.0-2mdv2011.0
+ Revision: 564485
- rebuild for perl 5.12.1

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2011.0
+ Revision: 406061
- rebuild using %%perl_convert_version

* Thu Nov 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdv2009.1
+ Revision: 302824
- update to new version 0.05

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.04-2mdv2008.1
+ Revision: 152109
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2008.1
+ Revision: 97494
- update to new version 0.04

* Wed Jun 27 2007 Michael Scherer <misc@mandriva.org> 0.03-1mdv2008.0
+ Revision: 44932
- Import perl-Gtk2-Notify



* Sun Jun 03 2007 Michael Scherer <misc@mandriva.org> 0.03-1mdv2008.0
- First Mandriva package
